dnl -*- html -*-
define(__pub, 2019-09-14T12:00:00Z)dnl
define(__upd, 2019-11-30T23:00:00Z)dnl
define(__title, `How I do my Computing')dnl
define(__slug, `computing')dnl
define(__id, 2)dnl
include(header.html)
<p>(Inspired by computing pages of
<a href="//stallman.org/stallman-computing.html">rms</a> and
<a href="//blog.vimuser.org/leah-computing.html">Leah Rowe</a>)</p>

<h2>Computers</h2>
<p>My main computer is a
soon-to-be-<a href="https://libreboot.org">librebooted</a>
ThinkPad X200.  This is the machine I use the most in or out the
house.  I also own and occasionally use a Dell XPS 15 more as a
&ldquo;Desktop&rdquo;, and a ThinkPad X220T tablet I use when reading
(and annotating) research papers.</p>

<p>I also have the privilege of having access to a fleet of beefy
servers through our school's
<a href="https://csclub.uwaterloo.ca">Computer Science Club</a>,
which I use for some heavier computations every now and
again.</p>

<h2>GNU/Linux distros</h2>
<p>I've used a large number of GNU/Linux distributions throughout the
years, but as of late, my favourite distros are
<a href="//trisquel.info">Trisquel</a>,
<a href="//guix.gnu.org">Guix System</a>, and
<a href="//www.debian.org">Debian</a> (with no <code>contrib</code> or
<code>non-free</code>).  I mostly use the
<a href="//www.fsfla.org/ikiwiki/selibre/linux-libre/">GNU Linux-libre</a> kernel.
Guix&nbsp;System comes with GNU Linux-libre out of the box, and on
Debian-based distros I install it from jxself's
<a href="//jxself.org/linux-libre/">APT repository</a>.</p>

<h2>Actual computing</h2>
<p>I spend most of my time in
<a href="//www.gnu.org/software/emacs/">GNU Emacs</a>.</p>
<p>TODO: elaborate</p>

<h2>Cell phone</h2>
<p>I have an old Nexus 5 I reluctantly use from time to time.  It runs
LineageOS+microG without GApps.  Sadly it still requires some blobs
for functioning.  I can't wait for lxo's
<a href="//www.fsfla.org/ikiwiki/blogs/lxo/pub/0G">0G</a> to become a
reality fast enough.
<span class="smly">:-)</span></p>
define(__copy, `2019')dnl
include(footer.html)
