dnl -*- html -*-
define(__title, `Curriculum vitae')dnl
define(__slug, `cv')dnl
include(header.html)
<main>
<h1>Curriculum vitae (<a href="bandali-cv.pdf">PDF</a>)</h1>

<table>
<tbody>
<tr>
<td>Site</td>
<td><a href="//bandali.eu.org">bandali.eu.org</a></td>
</tr>
<tr>
<td>Email</td>
<td>bandali@uwaterloo.ca</td>
</tr>
<tr>
<td>Phone</td>
<td>available upon request via email</td>
</tr>
</tbody>
</table>

<h2>Education</h2>

<h3>Master of Mathematics (Computer Science) | 2018–present</h3>
<p>University of Waterloo, Canada</p>
<p>Supervised by Dr. Nancy Day | GPA: 3.7/4.0 | Expected completion: April 2020</p>
<p>Research focusing on formal logic, model checking, and verification.</p>

<h3>B.Sc. Honours Computer Science | 2013–2017</h3>
<p>York University, Toronto, Canada</p>
<p>GPA: 7.84/9.0</p><p>Relevant courses: System Specification &amp;
Refinement, Software Requirements Eng., Software Design, Operating
Systems, Computational Complexity, Design &amp; Analysis of Algorithms.</p>
<p>Finished first year (2013-14) at <em>Carleton University</em> with
a GPA of 11.0/12.0, then transferred to <em>York University</em> in
Fall 2014.</p>

<h2>Publications</h2>

<p>Listed on my <a href="/#papers">homepage</a></p>

<h2>Work &amp; Research Experience</h2>

<h3>Cheriton School of Computer Science, University of Waterloo | 2018–present</h3>
<p>Instructional Apprentice, Teaching Assistant, Research Assistant</p>

<ul>
<li><abbr title="Logic and Computation">SE 212</abbr>:
<a href="se212-f19/"><abbr title="Instructional Apprentice">IA</abbr> in Fall 2019</a>,
<abbr title="Teaching Assistant">TA</abbr> in Fall 2018</li>
<li><abbr title="Software Requirements Specification and Analysis">SE 463</abbr>:
TA in Summer 2019 and 2018</li>
<li><abbr title="Elementary Algorithm Design and Data Abstraction">CS 136</abbr>:
TA in Winter 2018</li>
</ul>

<h3><abbr title="Electrical Engineering &amp; Computer Science">EECS</abbr>
Department, York University | Fall 2017</h3>
<p>Teaching Assistant</p>
<p><abbr title="Net-Centric Introduction to Computing">EECS 1012</abbr>:
TA in Fall 2017</p>
include(footer.html)
